=== modified file 'drizzled/function_hash.gperf'
--- drizzled/function_hash.gperf	2010-12-18 04:43:40 +0000
+++ drizzled/function_hash.gperf	2011-10-14 10:07:18 +0000
@@ -37,7 +37,7 @@
   lists
 */
 %}
-struct st_symbol {
+struct SYMBOL {
   const char *name;
   unsigned int  tok;
 };

=== modified file 'drizzled/item/create.cc'
--- drizzled/item/create.cc	2011-10-06 18:18:31 +0000
+++ drizzled/item/create.cc	2011-10-14 10:07:18 +0000
@@ -1038,7 +1038,7 @@
 
 Item* Create_udf_func::create(Session *session, lex_string_t name, List<Item> *item_list)
 {
-  return create(session, plugin::Function::get(std::string(name.data(), name.size())), item_list);
+  return create(session, plugin::Function::get(to_string(name)), item_list);
 }
 
 Item* Create_udf_func::create(Session *session, const plugin::Function *udf, List<Item> *item_list)

=== modified file 'drizzled/lex_string.h'
--- drizzled/lex_string.h	2011-10-14 09:23:40 +0000
+++ drizzled/lex_string.h	2011-10-14 10:07:18 +0000
@@ -42,7 +42,7 @@
 
   const char* data() const
   {
-    return str;
+    return str_;
   }
 
   size_t size() const
@@ -52,11 +52,11 @@
 
   void assign(const char* d, size_t s)
   {
-    str= const_cast<char*>(d);
+    str_= const_cast<char*>(d);
     length_ = s;
   }
 
-  char* str;
+  char* str_;
   size_t length_;
 };
 

=== modified file 'drizzled/lex_symbol.h'
--- drizzled/lex_symbol.h	2011-03-14 05:40:28 +0000
+++ drizzled/lex_symbol.h	2011-10-14 10:07:18 +0000
@@ -22,25 +22,46 @@
 
 #pragma once
 
-namespace drizzled
-{
-
-typedef struct st_sym_group {
-  const char *name;
-  const char *needed_define;
-} SYM_GROUP;
-
-typedef struct st_symbol {
-  const char *name;
-  uint	tok;
-} SYMBOL;
-
-typedef struct st_lex_symbol
-{
-  const SYMBOL *symbol;
-  char   *str;
-  uint32_t   length;
-} LEX_SYMBOL;
+namespace drizzled {
+
+struct SYM_GROUP 
+{
+  const char* name;
+  const char* needed_define;
+};
+
+struct SYMBOL
+{
+  const char* name;
+  uint tok;
+};
+
+struct LEX_SYMBOL
+{
+  const char* begin() const
+  {
+    return data();
+  }
+
+  const char* end() const
+  {
+    return data() + size();
+  }
+
+  const char* data() const
+  {
+    return str;
+  }
+
+  size_t size() const
+  {
+    return length;
+  }
+
+  const SYMBOL* symbol;
+  char* str;
+  uint32_t length;
+};
 
 extern SYM_GROUP sym_group_common;
 extern SYM_GROUP sym_group_geom;

=== modified file 'drizzled/session.cc'
--- drizzled/session.cc	2011-10-06 18:18:31 +0000
+++ drizzled/session.cc	2011-10-14 10:07:18 +0000
@@ -1692,7 +1692,7 @@
 
 user_var_entry *Session::getVariable(lex_string_t &name, bool create_if_not_exists)
 {
-  return getVariable(std::string(name.data(), name.size()), create_if_not_exists);
+  return getVariable(to_string(name), create_if_not_exists);
 }
 
 user_var_entry *Session::getVariable(const std::string  &name, bool create_if_not_exists)

=== modified file 'drizzled/sql_lex.cc'
--- drizzled/sql_lex.cc	2011-10-14 09:23:40 +0000
+++ drizzled/sql_lex.cc	2011-10-14 10:07:18 +0000
@@ -318,7 +318,7 @@
   lex_string_t tmp;
   tmp.assign((char*)lip->m_session->mem.alloc(length + 1), length);
   const char* from= lip->get_tok_start() + skip;
-  char* to= (char*)tmp.str;
+  char* to= (char*)tmp.data();
   const char* end= to+length;
 
   lip->m_cpp_text_start= lip->get_cpp_tok_start() + skip;
@@ -990,7 +990,7 @@
       }
       /* " used for strings */
     case MY_LEX_STRING:			// Incomplete text string
-      if (!(yylval->lex_str.str = get_text(lip, 1, 1)))
+      if (!(yylval->lex_str.str_ = get_text(lip, 1, 1)))
       {
         state= MY_LEX_CHAR;		// Read char by char
         break;

=== modified file 'drizzled/sql_parse.cc'
--- drizzled/sql_parse.cc	2011-10-14 08:25:55 +0000
+++ drizzled/sql_parse.cc	2011-10-14 10:07:18 +0000
@@ -913,7 +913,7 @@
 
   if (not table->is_derived_table() && table->db.data())
   {
-    my_casedn_str(files_charset_info, table->db.str);
+    my_casedn_str(files_charset_info, table->db.str_);
     if (not schema::check(*session, identifier::Schema(table->db.data())))
     {
       my_error(ER_WRONG_DB_NAME, MYF(0), table->db.data());

=== modified file 'drizzled/sql_table.cc'
--- drizzled/sql_table.cc	2011-10-14 09:23:40 +0000
+++ drizzled/sql_table.cc	2011-10-14 10:07:18 +0000
@@ -852,10 +852,10 @@
           if (!key2->generated ||
               (key->generated && key->columns.size() <
                key2->columns.size()))
-            key->name.str= ignore_key;
+            key->name.assign(ignore_key, 1);
           else
           {
-            key2->name.str= ignore_key;
+            key2->name.assign(ignore_key, 1);
             key_parts-= key2->columns.size();
             (*key_count)--;
           }
@@ -867,7 +867,7 @@
       key_parts+=key->columns.size();
     else
       (*key_count)--;
-    if (key->name.data() && !tmp_table && (key->type != Key::PRIMARY) && is_primary_key(key->name.str))
+    if (key->name.data() && !tmp_table && (key->type != Key::PRIMARY) && is_primary_key(key->name.data()))
     {
       my_error(ER_WRONG_NAME_FOR_INDEX, MYF(0), key->name.data());
       return true;
@@ -934,7 +934,7 @@
     if (key_info->comment.size() > 0)
     {
       key_info->flags|= HA_USES_COMMENT;
-      key_info->comment.str= (char*)key->key_create_info.comment.data();
+      key_info->comment.assign(key->key_create_info.comment.data(), key_info->comment.size()); // weird
     }
 
     message::Table::Field *protofield= NULL;

=== modified file 'drizzled/sql_yacc.yy'
--- drizzled/sql_yacc.yy	2011-10-14 09:23:40 +0000
+++ drizzled/sql_yacc.yy	2011-10-14 10:07:18 +0000
@@ -1000,7 +1000,7 @@
           ident_or_text
           {
             statement::CreateSchema *statement= (statement::CreateSchema *)Lex.statement;
-            statement->schema_message.mutable_engine()->add_options()->set_name($1.str);
+            statement->schema_message.mutable_engine()->add_options()->set_name($1.data());
           }
         | REPLICATE '=' TRUE_SYM
           {
@@ -1020,11 +1020,11 @@
           }
         | ident_or_text '=' ident_or_text
           {
-            parser::buildSchemaOption(&Lex, $1.str, $3);
+            parser::buildSchemaOption(&Lex, $1.data(), $3);
           }
         | ident_or_text '=' ulonglong_num
           {
-            parser::buildSchemaOption(&Lex, $1.str, $3);
+            parser::buildSchemaOption(&Lex, $1.data(), $3);
           }
         ;
 
@@ -1059,11 +1059,11 @@
 custom_engine_option:
         ENGINE_SYM '=' ident_or_text
           {
-            Lex.table()->mutable_engine()->set_name($3.str);
+            Lex.table()->mutable_engine()->set_name($3.data());
           }
         | COMMENT_SYM opt_equal TEXT_STRING_sys
           {
-            Lex.table()->mutable_options()->set_comment($3.str);
+            Lex.table()->mutable_options()->set_comment($3.data());
           }
         | AUTO_INC opt_equal ulonglong_num
           {
@@ -1079,7 +1079,7 @@
           }
         | DEFINER TEXT_STRING_sys
           {
-	    drizzled::identifier::User user($2.str);
+	    drizzled::identifier::User user($2.data());
             message::set_definer(*Lex.table(), user);
           }
         | DEFINER CURRENT_USER optional_braces
@@ -1096,11 +1096,11 @@
           }
         |  ident_or_text '=' engine_option_value
           {
-            parser::buildEngineOption(&Lex, $1.str, $3);
+            parser::buildEngineOption(&Lex, $1.data(), $3);
           }
         | ident_or_text '=' ulonglong_num
           {
-            parser::buildEngineOption(&Lex, $1.str, $3);
+            parser::buildEngineOption(&Lex, $1.data(), $3);
           }
         | default_charset
         | default_collation
@@ -1150,7 +1150,7 @@
 row_format_or_text:
           row_format
           {
-            $$.assign(YYSession->mem.strdup($1.str, $1.length), $1.length);
+            $$.assign(YYSession->mem.strdup($1.data(), $1.length), $1.length);
           }
         ;
 
@@ -1185,11 +1185,11 @@
         | opt_constraint constraint_key_type opt_ident key_alg
           '(' key_list ')' key_options
           {
-            parser::buildKey(&Lex, $2, $3.str ? $3 : $1);
+            parser::buildKey(&Lex, $2, $3.data() ? $3 : $1);
           }
         | opt_constraint FOREIGN KEY_SYM opt_ident '(' key_list ')' references
           {
-            parser::buildForeignKey(&Lex, $1.str ? $1 : $4, $8);
+            parser::buildForeignKey(&Lex, $1.data() ? $1 : $4, $8);
           }
         | constraint opt_check_constraint
           {
@@ -1230,7 +1230,7 @@
 
             if (Lex.field())
             {
-              Lex.field()->set_name($1.str);
+              Lex.field()->set_name($1.data());
             }
 
             if (add_field_to_list(Lex.session, &$1, (enum enum_field_types) $3,
@@ -1252,7 +1252,7 @@
           }
         | TIMESTAMP_SYM '(' NUM ')' opt_attribute_timestamp
           {
-            $$=parser::buildTimestampColumn(&Lex, $3.str);
+            $$=parser::buildTimestampColumn(&Lex, $3.data());
           }
         | DATETIME_SYM opt_attribute_timestamp
           {
@@ -1271,7 +1271,7 @@
           }
         | varchar '(' NUM ')' opt_attribute_string
           {
-            $$= parser::buildVarcharColumn(&Lex, $3.str);
+            $$= parser::buildVarcharColumn(&Lex, $3.data());
           }
         | TEXT_SYM opt_attribute_string
           {
@@ -1294,7 +1294,7 @@
           }
         | VARBINARY '(' NUM ')' opt_attribute
           {
-            $$= parser::buildVarbinaryColumn(&Lex, $3.str);
+            $$= parser::buildVarbinaryColumn(&Lex, $3.data());
           }
         | real_type opt_attribute_number
           {
@@ -1388,7 +1388,7 @@
           /* empty */
           { Lex.dec=Lex.length= NULL; }
         | '(' NUM ')'
-          { Lex.length=$2.str; Lex.dec= NULL; }
+          { Lex.length=$2.data(); Lex.dec= NULL; }
         | precision
           {}
         ;
@@ -1396,14 +1396,14 @@
 precision:
           '(' NUM ',' NUM ')'
           {
-            Lex.length= $2.str;
-            Lex.dec= $4.str;
+            Lex.length= $2.data();
+            Lex.dec= $4.data();
           }
         ;
 
 opt_len:
           /* empty */ { Lex.length= NULL; /* use default length */ }
-        | '(' NUM ')' { Lex.length= $2.str; }
+        | '(' NUM ')' { Lex.length= $2.data(); }
         ;
 
 opt_field_number_signed:
@@ -1604,16 +1604,16 @@
             statement->comment= $2;
 
             if (Lex.field())
-              Lex.field()->set_comment($2.str);
+              Lex.field()->set_comment($2.data());
           }
         ;
 
 collation_name:
           ident_or_text
           {
-            if (!($$=get_charset_by_name($1.str)))
+            if (!($$=get_charset_by_name($1.data())))
             {
-              my_error(ER_UNKNOWN_COLLATION, MYF(0), $1.str);
+              my_error(ER_UNKNOWN_COLLATION, MYF(0), $1.data());
               DRIZZLE_YYABORT;
             }
           }
@@ -1789,10 +1789,10 @@
           ident { $$=new Key_part_spec($1, 0); }
         | ident '(' NUM ')'
           {
-            int key_part_len= atoi($3.str);
+            int key_part_len= atoi($3.data());
             if (!key_part_len)
             {
-              my_error(ER_KEY_PART_0, MYF(0), $1.str);
+              my_error(ER_KEY_PART_0, MYF(0), $1.data());
             }
             $$=new Key_part_spec($1, (uint) key_part_len);
           }
@@ -1916,7 +1916,7 @@
         | CHANGE_SYM opt_column field_ident
           {
             statement::AlterTable *statement= (statement::AlterTable *)Lex.statement;
-            statement->change= $3.str;
+            statement->change= (char*)$3.data();
             statement->alter_info.flags.set(ALTER_CHANGE_COLUMN);
           }
           field_spec opt_place
@@ -1944,7 +1944,7 @@
                                   statement->default_value,
                                   statement->on_update_value,
                                   &statement->comment,
-                                  $3.str, &Lex.interval_list, Lex.charset))
+                                  $3.data(), &Lex.interval_list, Lex.charset))
               DRIZZLE_YYABORT;
           }
           opt_place
@@ -1956,11 +1956,11 @@
             message::AlterTable::AlterTableOperation *operation;
             operation= Lex.alter_table()->add_operations();
             operation->set_operation(message::AlterTable::AlterTableOperation::DROP_COLUMN);
-            operation->set_drop_name($3.str);
+            operation->set_drop_name($3.data());
           }
         | DROP FOREIGN KEY_SYM opt_ident
           {
-            parser::buildAddAlterDropIndex(&Lex, $4.str, true);
+            parser::buildAddAlterDropIndex(&Lex, $4.data(), true);
           }
         | DROP PRIMARY_SYM KEY_SYM
           {
@@ -1968,7 +1968,7 @@
           }
         | DROP key_or_index field_ident
           {
-            parser::buildAddAlterDropIndex(&Lex, $3.str);
+            parser::buildAddAlterDropIndex(&Lex, $3.data());
           }
         | DISABLE_SYM KEYS
           {
@@ -1993,14 +1993,14 @@
           {
             statement::AlterTable *statement= (statement::AlterTable *)Lex.statement;
 
-            statement->alter_info.alter_list.push_back(AlterColumn($3.str,$6));
+            statement->alter_info.alter_list.push_back(AlterColumn($3.data(),$6));
             statement->alter_info.flags.set(ALTER_COLUMN_DEFAULT);
           }
         | ALTER_SYM opt_column field_ident DROP DEFAULT
           {
             statement::AlterTable *statement= (statement::AlterTable *)Lex.statement;
 
-            statement->alter_info.alter_list.push_back(AlterColumn($3.str, (Item*) 0));
+            statement->alter_info.alter_list.push_back(AlterColumn($3.data(), NULL));
             statement->alter_info.flags.set(ALTER_COLUMN_DEFAULT);
           }
         | RENAME opt_to table_ident
@@ -2008,7 +2008,7 @@
             statement::AlterTable *statement= (statement::AlterTable *)Lex.statement;
             size_t dummy;
 
-            Lex.select_lex.db=$3->db.str;
+            Lex.select_lex.db= (char*)$3->db.data();
             if (Lex.select_lex.db == NULL &&
                 Lex.session->copy_db_to(Lex.select_lex.db, dummy))
             {
@@ -2027,7 +2027,7 @@
             message::AlterTable::RenameTable *rename_operation;
             rename_operation= Lex.alter_table()->mutable_rename();
             rename_operation->set_to_schema(Lex.select_lex.db);
-            rename_operation->set_to_name(Lex.name.str);
+            rename_operation->set_to_name(Lex.name.data());
           }
         | CONVERT_SYM TO_SYM collation_name_or_default
           {
@@ -2073,7 +2073,7 @@
           /* empty */ {}
         | AFTER_SYM ident
           {
-            parser::storeAlterColumnPosition(&Lex, $2.str);
+            parser::storeAlterColumnPosition(&Lex, $2.data());
           }
         | FIRST_SYM
           {
@@ -2346,7 +2346,7 @@
 
             YYSession->add_item_to_list($2);
 
-            if ($4.str)
+            if ($4.data())
             {
               $2->is_autogenerated_name= false;
               $2->set_name($4.data(), $4.size(), system_charset_info);
@@ -3086,7 +3086,7 @@
 function_call_generic:
           IDENT_sys '('
           {
-            const plugin::Function *udf= plugin::Function::get(std::string($1.data(), $1.size()));
+            const plugin::Function *udf= plugin::Function::get(to_string($1));
 
             /* Temporary placing the result of getFunction in $3 */
             $<udf>$= udf;
@@ -3115,7 +3115,7 @@
 			else 
 			{
               /* fix for bug 250065, from Andrew Garner <muzazzi@gmail.com> */
-              my_error(ER_SP_DOES_NOT_EXIST, MYF(0), "FUNCTION", $1.str);
+              my_error(ER_SP_DOES_NOT_EXIST, MYF(0), "FUNCTION", $1.data());
             }
 
             if (not ($$= item))
@@ -3153,7 +3153,7 @@
              because the syntax will not allow having an explicit name here.
              See WL#1017 re. udf attributes.
             */
-            if ($4.str)
+            if ($4.data())
             {
               $2->is_autogenerated_name= false;
               $2->set_name($4.data(), $4.size(), system_charset_info);
@@ -3241,7 +3241,7 @@
         | '@' opt_var_ident_type user_variable_ident opt_component
           {
             /* disallow "SELECT @@global.global.variable" */
-            if ($3.str && $4.str && parser::check_reserved_words(&$3))
+            if ($3.data() && $4.data() && parser::check_reserved_words(&$3))
             {
               parser::my_parse_error(YYSession->m_lip);
               DRIZZLE_YYABORT;
@@ -3814,7 +3814,7 @@
 
 key_usage_element:
           ident
-          { Lex.current_select->add_index_hint(YYSession, $1.str); }
+          { Lex.current_select->add_index_hint(YYSession, $1.data()); }
         | PRIMARY_SYM
           { Lex.current_select->add_index_hint(YYSession, "PRIMARY"); }
         ;
@@ -4102,20 +4102,20 @@
         ;
 
 ulong_num:
-          NUM           { int error; $$= (unsigned long) internal::my_strtoll10($1.str, NULL, &error); }
-        | HEX_NUM       { $$= (unsigned long) strtol($1.str, NULL, 16); }
-        | LONG_NUM      { int error; $$= (unsigned long) internal::my_strtoll10($1.str, NULL, &error); }
-        | ULONGLONG_NUM { int error; $$= (unsigned long) internal::my_strtoll10($1.str, NULL, &error); }
-        | DECIMAL_NUM   { int error; $$= (unsigned long) internal::my_strtoll10($1.str, NULL, &error); }
-        | FLOAT_NUM     { int error; $$= (unsigned long) internal::my_strtoll10($1.str, NULL, &error); }
+          NUM           { int error; $$= (unsigned long) internal::my_strtoll10($1.data(), NULL, &error); }
+        | HEX_NUM       { $$= (unsigned long) strtol($1.data(), NULL, 16); }
+        | LONG_NUM      { int error; $$= (unsigned long) internal::my_strtoll10($1.data(), NULL, &error); }
+        | ULONGLONG_NUM { int error; $$= (unsigned long) internal::my_strtoll10($1.data(), NULL, &error); }
+        | DECIMAL_NUM   { int error; $$= (unsigned long) internal::my_strtoll10($1.data(), NULL, &error); }
+        | FLOAT_NUM     { int error; $$= (unsigned long) internal::my_strtoll10($1.data(), NULL, &error); }
         ;
 
 ulonglong_num:
-          NUM           { int error; $$= (uint64_t) internal::my_strtoll10($1.str, NULL, &error); }
-        | ULONGLONG_NUM { int error; $$= (uint64_t) internal::my_strtoll10($1.str, NULL, &error); }
-        | LONG_NUM      { int error; $$= (uint64_t) internal::my_strtoll10($1.str, NULL, &error); }
-        | DECIMAL_NUM   { int error; $$= (uint64_t) internal::my_strtoll10($1.str, NULL, &error); }
-        | FLOAT_NUM     { int error; $$= (uint64_t) internal::my_strtoll10($1.str, NULL, &error); }
+          NUM           { int error; $$= (uint64_t) internal::my_strtoll10($1.data(), NULL, &error); }
+        | ULONGLONG_NUM { int error; $$= (uint64_t) internal::my_strtoll10($1.data(), NULL, &error); }
+        | LONG_NUM      { int error; $$= (uint64_t) internal::my_strtoll10($1.data(), NULL, &error); }
+        | DECIMAL_NUM   { int error; $$= (uint64_t) internal::my_strtoll10($1.data(), NULL, &error); }
+        | FLOAT_NUM     { int error; $$= (uint64_t) internal::my_strtoll10($1.data(), NULL, &error); }
         ;
 
 select_var_list_init:
@@ -4160,7 +4160,7 @@
           OUTFILE TEXT_STRING_filesystem
           {
             Lex.setCacheable(false);
-            Lex.exchange= new file_exchange($2.str, 0);
+            Lex.exchange= new file_exchange((char*)$2.data(), 0);
             Lex.result= new select_export(Lex.exchange);
           }
           opt_field_term opt_line_term
@@ -4169,7 +4169,7 @@
             if (not Lex.describe)
             {
               Lex.setCacheable(false);
-              Lex.exchange= new file_exchange($2.str,1);
+              Lex.exchange= new file_exchange((char*)$2.data(),1);
               Lex.result= new select_dump(Lex.exchange);
             }
           }
@@ -4206,7 +4206,7 @@
             message::AlterTable::AlterTableOperation *operation;
             operation= Lex.alter_table()->add_operations();
             operation->set_operation(message::AlterTable::AlterTableOperation::DROP_KEY);
-            operation->set_drop_name($4.str);
+            operation->set_drop_name($4.data());
 
           }
         | DROP DATABASE if_exists schema_name
@@ -4614,7 +4614,7 @@
 
 opt_db:
           /* empty */  { $$= 0; }
-        | from_or_in ident { $$= $2.str; }
+        | from_or_in ident { $$= $2.data(); }
         ;
 
 from_or_in:
@@ -4745,7 +4745,7 @@
           USE_SYM schema_name
           {
             Lex.statement= new statement::ChangeSchema(YYSession);
-            Lex.select_lex.db= $2.str;
+            Lex.select_lex.db= (char*)$2.data();
           }
         ;
 
@@ -4765,7 +4765,7 @@
             Lex.lock_option= $4;
             Lex.duplicates= DUP_ERROR;
             Lex.ignore= 0;
-            Lex.exchange= new file_exchange($6.str, 0, $2);
+            Lex.exchange= new file_exchange((char*)$6.data(), 0, $2);
           }
           opt_duplicate INTO
           {
@@ -4875,7 +4875,7 @@
         | IGNORE_SYM NUM lines_or_rows
           {
             assert(Lex.exchange != 0);
-            Lex.exchange->skip_lines= atol($2.str);
+            Lex.exchange->skip_lines= atol($2.data());
           }
         ;
 
@@ -4917,7 +4917,7 @@
         }
         | text_literal TEXT_STRING_literal
           {
-            ((Item_string*) $1)->append($2.str, $2.size());
+            ((Item_string*) $1)->append((char*)$2.data(), $2.size());
           }
         ;
 
@@ -5191,7 +5191,7 @@
           IDENT_sys    { $$=$1; }
         | keyword
           {
-            $$.assign(YYSession->mem.strdup($1.str, $1.length), $1.length);
+            $$.assign(YYSession->mem.strdup($1.data(), $1.length), $1.length);
           }
         ;
 
@@ -5473,7 +5473,7 @@
 internal_variable_ident:
           keyword_exception_for_variable
           {
-            $$.assign(YYSession->mem.strdup($1.str, $1.length), $1.length);
+            $$.assign(YYSession->mem.strdup($1.data(), $1.length), $1.length);
           }
         | IDENT_sys    { $$=$1; }
         ;
@@ -5484,7 +5484,7 @@
             /* We have to lookup here since local vars can shadow sysvars */
             {
               /* Not an SP local variable */
-              sys_var *tmp= find_sys_var(std::string($1.data(), $1.size()));
+              sys_var *tmp= find_sys_var(to_string($1));
               if (!tmp)
                 DRIZZLE_YYABORT;
               $$.var= tmp;

=== modified file 'drizzled/statement/alter_table.cc'
--- drizzled/statement/alter_table.cc	2011-09-18 16:48:30 +0000
+++ drizzled/statement/alter_table.cc	2011-10-14 10:07:18 +0000
@@ -165,7 +165,7 @@
   {
     identifier::Table identifier(first_table->getSchemaName(), first_table->getTableName());
     identifier::Table new_identifier(select_lex->db ? select_lex->db : first_table->getSchemaName(),
-                                   lex().name.str ? lex().name.str : first_table->getTableName());
+                                   lex().name.data() ? lex().name.data() : first_table->getTableName());
 
     res= alter_table(&session(),
                      identifier,
@@ -187,7 +187,7 @@
     {
       identifier::Table identifier(first_table->getSchemaName(), first_table->getTableName(), table->getMutableShare()->getPath());
       identifier::Table new_identifier(select_lex->db ? select_lex->db : first_table->getSchemaName(),
-                                       lex().name.str ? lex().name.str : first_table->getTableName(),
+                                       lex().name.data() ? lex().name.data() : first_table->getTableName(),
                                        table->getMutableShare()->getPath());
 
       res= alter_table(&session(),
@@ -592,7 +592,7 @@
 
         Foreign_key *fkey= (Foreign_key*)key;
         add_foreign_key_to_table_message(&table_message,
-                                         fkey->name.str,
+                                         fkey->name.data(),
                                          fkey->columns,
                                          fkey->ref_table,
                                          fkey->ref_columns,
@@ -604,9 +604,9 @@
       if (key->type != Key::FOREIGN_KEY)
         new_key_list.push_back(key);
 
-      if (key->name.str && is_primary_key(key->name.str))
+      if (key->name.data() && is_primary_key(key->name.data()))
       {
-        my_error(ER_WRONG_NAME_FOR_INDEX, MYF(0), key->name.str);
+        my_error(ER_WRONG_NAME_FOR_INDEX, MYF(0), key->name.data());
         return true;
       }
     }

